// tslint:disable-next-line:ban-types
export function isFunction(f) {
    return typeof f === 'function';
}
export function shallowEqual(a, b) {
    // tslint:disable-next-line:triple-equals
    if (a == b) {
        return true;
    }
    if (a == null || b == null) {
        return false;
    }
    const aKeys = Object.keys(a);
    const bKeys = Object.keys(b);
    if (aKeys.length !== bKeys.length) {
        return false;
    }
    for (const key of aKeys) {
        if (a[key] !== b[key]) {
            return false;
        }
    }
    return true;
}
//# sourceMappingURL=util.js.map